ReflectionClass::getDefaultProperties
ReflectionClass::getEndLine
ReflectionClass
PHP Manual

# ReflectionClass::getDocComment

(PHP 5 >= 5.1.0)

ReflectionClass::getDocComment — Gets doc comments

### Opis

public string ReflectionClass::getDocComment ( void )

Gets doc comments from a class.

Ostrzeżenie

Ta funkcja jest obecnie nieudokumentowana, dostępna jest jedynie lista jej argumentów.

### Parametry

Ta funkcja nie posiada parametrów.

### Zwracane wartości

The doc comment if it exists, otherwise `FALSE`

### Przykłady

Przykład #1 ReflectionClass::getDocComment example

`<?php
/**
* A test class
*
* @param foo bar
* @return baz
*/
class TestClass { }
$rc = new ReflectionClass('TestClass');
var_dump($rc->getDocComment())
?>`

Powyższy przykład wyświetli:

    string(55) "/**
    * A test class
    *
    * @param  foo bar
    * @return baz
    */"

### Zobacz też:

- ReflectionClass::getName - Gets class name

ReflectionClass::getDefaultProperties
ReflectionClass::getEndLine
ReflectionClass
PHP Manual